<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>d2893527-e397-462e-b226-0b13b31981ef</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <StartupObject>ExtensiblePortfolioSite.Program</StartupObject>
	<PreserveCompilationContext>true</PreserveCompilationContext>
	<RazorCompileOnBuild>true</RazorCompileOnBuild>
  </PropertyGroup>

  <ItemGroup>
	<PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="6.0.8" />
	<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.17.0" />
  </ItemGroup>

  <ItemGroup>
	<ProjectReference Include="..\EPS.SDK\EPS.SDK.csproj" />
  </ItemGroup>

  <ItemGroup>
	<None Include="logs\" />
	<Content Include="Plugins\" />
  </ItemGroup>
  
</Project>
